Share
View previous topicGo downView next topic
avatar
Jpm

[EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Fri 19 May 2017 - 9:01
When the Framework 3.5 is integrated multiple installation of Visual Studio simultaneous version is impossible.
desinstalling the 3.5 and reinstalling is OK
This is true with previous version of WinReducer

avatar
winterstorm2050
Admin
https://www.winreducer.net/

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Fri 19 May 2017 - 13:02
Hello Jpm,

If possible, could you please try with EX-100 v1.7.5.0, which uses a previous dism version (from RS1). Thanks.
avatar
Jpm

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Fri 19 May 2017 - 14:25
Same problem
Code:
09F4:11DC][2017-05-19T14:21:58]i052: Condition '(VersionNT >= v6.1)' evaluates to true.
[09F4:11DC][2017-05-19T14:21:58]i000: Setting string variable 'WixBundleName' to value 'Microsoft Visual Studio Community 2013 with Update 5'
[09F4:11DC][2017-05-19T14:21:58]i000: Loading managed bootstrapper application.
[09F4:11DC][2017-05-19T14:21:58]e000: Error 0x80131902: Failed to create the managed bootstrapper application.
[09F4:11DC][2017-05-19T14:21:58]e000: Error 0x80131902: Failed to create UX.
[09F4:11DC][2017-05-19T14:21:58]e000: Error 0x80131902: Failed to load UX.
[09F4:11DC][2017-05-19T14:21:58]e000: Error 0x80131902: Failed while running
avatar
Jpm

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Fri 19 May 2017 - 14:39
Hi If you need more information as the registry or Windows files 
Just ask
funsurfer

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Tue 30 May 2017 - 13:46
Hy.

Have the same error. i can not integrate .net 3.5 correct.
Please help Smile
avatar
winterstorm2050
Admin
https://www.winreducer.net/

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Tue 6 Jun 2017 - 17:36
Hello guys,

Could you please try v1.8.5.0 when it will be available (few hours from now), and let me know the result.

Please use an original, and non modified, ISO from MS, in order to get the correct net framework 3.5 source file from it.

I created a tutorial, in which you find the filename changes, in red in the point 3) :
[You must be registered and logged in to see this link.]
avatar
Jpm

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Tue 6 Jun 2017 - 18:39
I am sure that I use an MS Iso so did you fix Something in 1.8.5.0 as opposed to 1.8.4.1?
I notice the 2 .cab are stored in the Framework35 dir
funsurfer

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Thu 8 Jun 2017 - 9:36
i have tested with original MS ISO. is downloaded it today.
.net 3.5 is integrated and looks like it is activated, but some programs do not work.

i can not remove .net3.5 in this version
funsurfer

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Thu 8 Jun 2017 - 11:31
If i remove .net 3.5 and reinstall it with DSIM as Administrator all Programs works well.
I use the .net cab from the winreducer ISO.
avatar
Jpm

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Thu 8 Jun 2017 - 15:57
still bad with 1.8.5.0
avatar
caphp

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Thu 8 Jun 2017 - 19:19
Hi Jpm,

I'm not sure, if it's important, but when I start with a clean winreducer version and ms iso, the only file under "\WinReducerEX100_x64\WORK\INTEGRATE\UPDATES\Framework35\x64\" is called "RS2_microsoft-windows-netfx3-ondemand-package.cab"

Refering to your first screenshot, it's a bit differnt.

Integration works for me this way with v1.8.4.0 and v1.8.5.0
avatar
Jpm

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Thu 8 Jun 2017 - 19:25
Now I am only with the same file as you.
As I say the Framework35 seems integrated but when the second edition of Visual studio is failing.
If I desinstall the Framework35 functionality it works
Reinstalling the Framework35 functionality and installing the second editionof Visual studio is OK
I don't know what to do to help you Embarassed
avatar
winterstorm2050
Admin
https://www.winreducer.net/

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Thu 8 Jun 2017 - 20:19
Hello guys,

I dig a little about this subject and I find a huge list of discussions about Visual Studio and the error Jpm mentioned. What surprising me that some of them are dated since 2010  Surprised

There are different solutions to solve this : reinstall net framework 3.5 or 4.0 or 4.5 ... install new drivers especially with nvidia graphic cards ... clear windows temp folder ... clear VS installation cache ... disable antivirus ... use the web installer ... install VS executable by using an administrator command line !

And it may happen in Windows 7, 8.1 or 10 !

But none of these solutions are universal to solve this trouble, and as far as I understand Microsoft did not provide a generic solution ... this error is based or related to hardware or software installed.

My guess is that the first VS2012 installation is modifying some Windows files ... and brake the Net Framework installation that VS2013 can't solve by itself ... this may explain why a re-installation of Net Framework 3.5 (using "Windows Features") or installing VS2017 (after VS2012), solves the problem.

Is this problem is reproducible with other Windows 10 version (TH2 for example) ?


@funsurfer : could you please tell me which software is not working, like this I will be able to try. Thanks.
avatar
Jpm

Re: [EX-100 - v1.8.4.0] [RS2 Build 15063] Framework 3.5 bad integration

on Fri 9 Jun 2017 - 15:37
Hi,
Not sure I get the same vision.
For me If Framework35 is not install by WinReducer every thing is OK for the 2 edition installation
So we can perhaps conclude that no framework35 is needed.

If framework35 is integrated by WinReducer and the disinstalled before Visual studio dual installation everything is OK.

it is OK to installed Framework35 and just after do the visual studio dual installation.

If somebody tell me what to look to verify what is wrong on framework35 integration I will be glad to report

Thanks Winter for your awesome support
View previous topicBack to topView next topic
Permissions in this forum:
You cannot reply to topics in this forum